package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.ScheduleRequestDto;
import com.ikon.projectmanagement.dto.response.ScheduleResponseDto;

import java.util.List;
import java.util.UUID;

public interface ScheduleService {
    ScheduleResponseDto saveSchedule(UUID projectIdentifier, ScheduleRequestDto dto, String accessToken);
    ScheduleResponseDto getSchedule(UUID projectIdentifier, String accessToken);
    List<ScheduleResponseDto> getAllSchedules();
}
